Create SMS Action
curl --request POST \
--url https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_actions \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"action_timing": "<string>",
"webhook": {
"mandatory": true
},
"type": "<string>",
"sms": {
"to": {
"value": [
"<string>"
]
},
"provider": "<string>",
"from": "<string>",
"cc": [
"<string>"
],
"body": {
"value": "<string>"
},
"response_message_context": "<string>"
}
}
'import requests
url = "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_actions"
payload = {
"name": "<string>",
"description": "<string>",
"action_timing": "<string>",
"webhook": { "mandatory": True },
"type": "<string>",
"sms": {
"to": { "value": ["<string>"] },
"provider": "<string>",
"from": "<string>",
"cc": ["<string>"],
"body": { "value": "<string>" },
"response_message_context": "<string>"
}
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
action_timing: '<string>',
webhook: {mandatory: true},
type: '<string>',
sms: {
to: {value: ['<string>']},
provider: '<string>',
from: '<string>',
cc: ['<string>'],
body: JSON.stringify({value: '<string>'}),
response_message_context: '<string>'
}
})
};
fetch('https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ctx_id": "<string>",
"data": {
"action_id": "<string>",
"name": "<string>",
"type": "<string>"
}
}Create-Action
Create SMS Action
Create SMS notification actions with Twilio integration.
POST
/
v2
/
_actions
Create SMS Action
Authorizations
Enter your ContactSwing JWT Bearer token.
Request Body
Action display name. Example:
My SMS ActionAction purpose. Example:
Trigger SMS when user requests messagingWhen to trigger:
"DURING"Action type:
"SEND_SMS"SMS configuration object
SMS provider:
"TWILIO"Sender phone number. Example:
"+13465507166"CC recipients
[]Response message context. Example:
I’ve just sent you a text message. Please let me know if you received it.SMS Configuration
Response
201 Created - SMS action created successfullyRequest context ID
⌘I

